org.jgrapht.alg.interfaces

## Interface MinimumSpanningTree<V,E>

- Type Parameters:
    `V` - vertex concept type
    `E` - edge concept type
  All Known Implementing Classes:
    KruskalMinimumSpanningTree, PrimMinimumSpanningTree

      public interface MinimumSpanningTree<V,E>

  Allows to derive minimum spanning tree from given undirected connected graph. In the case of disconnected graphs it would rather derive minimum spanning forest

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<E>` | `getMinimumSpanningTreeEdgeSet()` Returns edges set constituting the minimum spanning tree/forest
    `double` | `getMinimumSpanningTreeTotalWeight()` Returns total weight of the minimum spanning tree/forest.

- - ### Method Detail

    - #### getMinimumSpanningTreeEdgeSet

          Set<E> getMinimumSpanningTreeEdgeSet()

      Returns edges set constituting the minimum spanning tree/forest
      Returns:
        minimum spanning-tree edges set

    - #### getMinimumSpanningTreeTotalWeight

          double getMinimumSpanningTreeTotalWeight()

      Returns total weight of the minimum spanning tree/forest.
      Returns:
        minimum spanning-tree total weight

Copyright © 2016. All rights reserved.